# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.2
# Namespace: com.sun.star.awt
from enum import IntEnum
from typing import TYPE_CHECKING
from ooo.oenv.env_const import UNO_ENVIRONMENT, UNO_RUNTIME
_DYNAMIC = False
if (not TYPE_CHECKING) and UNO_RUNTIME and UNO_ENVIRONMENT:
    _DYNAMIC = True

if not TYPE_CHECKING and _DYNAMIC:
    from com.sun.star.awt import VisualEffect as VisualEffect
    if hasattr(VisualEffect, '_constants') and isinstance(VisualEffect._constants, dict):
        VisualEffect._constants['__ooo_ns__'] = 'com.sun.star.awt'
        VisualEffect._constants['__ooo_full_ns__'] = 'com.sun.star.awt.VisualEffect'
        VisualEffect._constants['__ooo_type_name__'] = 'const'
    def build_enum():
        global VisualEffectEnum
        ls = [f for f in dir(VisualEffect) if not callable(getattr(VisualEffect, f)) and not f.startswith('__')]
        _dict = {}
        for name in ls:
            _dict[name] = getattr(VisualEffect, name)
        VisualEffectEnum = IntEnum('VisualEffectEnum', _dict)
    build_enum()
else:
    from ...lo.awt.visual_effect import VisualEffect as VisualEffect

    class VisualEffectEnum(IntEnum):
        """
        Enum of Const Class VisualEffect

        These values are used to specify the visual effect of controls.
        
        The list may grow in future versions.
        """
        NONE = VisualEffect.NONE
        """
        specifies that no visual effect is to be applied
        """
        LOOK3D = VisualEffect.LOOK3D
        """
        specifies a 3D-like look
        """
        FLAT = VisualEffect.FLAT
        """
        specifies a \"flat\" look
        """

__all__ = ['VisualEffect', 'VisualEffectEnum']
