# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.2
# Namespace: com.sun.star.chart
from enum import IntEnum
from typing import TYPE_CHECKING
from ooo.oenv.env_const import UNO_ENVIRONMENT, UNO_RUNTIME
_DYNAMIC = False
if (not TYPE_CHECKING) and UNO_RUNTIME and UNO_ENVIRONMENT:
    _DYNAMIC = True

if not TYPE_CHECKING and _DYNAMIC:
    from com.sun.star.chart import TimeUnit as TimeUnit
    if hasattr(TimeUnit, '_constants') and isinstance(TimeUnit._constants, dict):
        TimeUnit._constants['__ooo_ns__'] = 'com.sun.star.chart'
        TimeUnit._constants['__ooo_full_ns__'] = 'com.sun.star.chart.TimeUnit'
        TimeUnit._constants['__ooo_type_name__'] = 'const'
    def build_enum():
        global TimeUnitEnum
        ls = [f for f in dir(TimeUnit) if not callable(getattr(TimeUnit, f)) and not f.startswith('__')]
        _dict = {}
        for name in ls:
            _dict[name] = getattr(TimeUnit, name)
        TimeUnitEnum = IntEnum('TimeUnitEnum', _dict)
    build_enum()
else:
    from ...lo.chart.time_unit import TimeUnit as TimeUnit

    class TimeUnitEnum(IntEnum):
        """
        Enum of Const Class TimeUnit

        Specifies a unit for intervals on a date-time axis.
        
        **since**
        
            OOo 3.4
        """
        DAY = TimeUnit.DAY
        MONTH = TimeUnit.MONTH
        YEAR = TimeUnit.YEAR

__all__ = ['TimeUnit', 'TimeUnitEnum']
