# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.2
# Namespace: com.sun.star.embed
from enum import IntEnum
from typing import TYPE_CHECKING
from ooo.oenv.env_const import UNO_ENVIRONMENT, UNO_RUNTIME
_DYNAMIC = False
if (not TYPE_CHECKING) and UNO_RUNTIME and UNO_ENVIRONMENT:
    _DYNAMIC = True

if not TYPE_CHECKING and _DYNAMIC:
    from com.sun.star.embed import EmbedUpdateModes as EmbedUpdateModes
    if hasattr(EmbedUpdateModes, '_constants') and isinstance(EmbedUpdateModes._constants, dict):
        EmbedUpdateModes._constants['__ooo_ns__'] = 'com.sun.star.embed'
        EmbedUpdateModes._constants['__ooo_full_ns__'] = 'com.sun.star.embed.EmbedUpdateModes'
        EmbedUpdateModes._constants['__ooo_type_name__'] = 'const'
    def build_enum():
        global EmbedUpdateModesEnum
        ls = [f for f in dir(EmbedUpdateModes) if not callable(getattr(EmbedUpdateModes, f)) and not f.startswith('__')]
        _dict = {}
        for name in ls:
            _dict[name] = getattr(EmbedUpdateModes, name)
        EmbedUpdateModesEnum = IntEnum('EmbedUpdateModesEnum', _dict)
    build_enum()
else:
    from ...lo.embed.embed_update_modes import EmbedUpdateModes as EmbedUpdateModes

    class EmbedUpdateModesEnum(IntEnum):
        """
        Enum of Const Class EmbedUpdateModes

        The constant set specifies possible modes of object update.
        """
        ALWAYS_UPDATE = EmbedUpdateModes.ALWAYS_UPDATE
        """
        An object representation should be updated as often as possible.
        
        Any time object detects that it is changed the representation of the object is updated.
        """
        EXPLICIT_UPDATE = EmbedUpdateModes.EXPLICIT_UPDATE
        """
        An object representation should be updated only in case of request.
        
        The representation of the object is updated only by explicit request.
        """

__all__ = ['EmbedUpdateModes', 'EmbedUpdateModesEnum']
