# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.2
# Namespace: com.sun.star.embed
from enum import IntEnum
from typing import TYPE_CHECKING
from ooo.oenv.env_const import UNO_ENVIRONMENT, UNO_RUNTIME
_DYNAMIC = False
if (not TYPE_CHECKING) and UNO_RUNTIME and UNO_ENVIRONMENT:
    _DYNAMIC = True

if not TYPE_CHECKING and _DYNAMIC:
    from com.sun.star.embed import StorageFormats as StorageFormats
    if hasattr(StorageFormats, '_constants') and isinstance(StorageFormats._constants, dict):
        StorageFormats._constants['__ooo_ns__'] = 'com.sun.star.embed'
        StorageFormats._constants['__ooo_full_ns__'] = 'com.sun.star.embed.StorageFormats'
        StorageFormats._constants['__ooo_type_name__'] = 'const'
    def build_enum():
        global StorageFormatsEnum
        ls = [f for f in dir(StorageFormats) if not callable(getattr(StorageFormats, f)) and not f.startswith('__')]
        _dict = {}
        for name in ls:
            _dict[name] = getattr(StorageFormats, name)
        StorageFormatsEnum = IntEnum('StorageFormatsEnum', _dict)
    build_enum()
else:
    from ...lo.embed.storage_formats import StorageFormats as StorageFormats

    class StorageFormatsEnum(IntEnum):
        """
        Enum of Const Class StorageFormats

        The constant set contains IDs of formats that are supported by StorageFactory.
        
        **since**
        
            OOo 3.3
        """
        PACKAGE = StorageFormats.PACKAGE
        """
        specifies package format
        """
        ZIP = StorageFormats.ZIP
        """
        specifies zip format
        """
        OFOPXML = StorageFormats.OFOPXML
        """
        specifies Office Open XML format
        """

__all__ = ['StorageFormats', 'StorageFormatsEnum']
