# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.2
# Namespace: com.sun.star.sdbc
from enum import IntEnum
from typing import TYPE_CHECKING
from ooo.oenv.env_const import UNO_ENVIRONMENT, UNO_RUNTIME
_DYNAMIC = False
if (not TYPE_CHECKING) and UNO_RUNTIME and UNO_ENVIRONMENT:
    _DYNAMIC = True

if not TYPE_CHECKING and _DYNAMIC:
    from com.sun.star.sdbc import ColumnSearch as ColumnSearch
    if hasattr(ColumnSearch, '_constants') and isinstance(ColumnSearch._constants, dict):
        ColumnSearch._constants['__ooo_ns__'] = 'com.sun.star.sdbc'
        ColumnSearch._constants['__ooo_full_ns__'] = 'com.sun.star.sdbc.ColumnSearch'
        ColumnSearch._constants['__ooo_type_name__'] = 'const'
    def build_enum():
        global ColumnSearchEnum
        ls = [f for f in dir(ColumnSearch) if not callable(getattr(ColumnSearch, f)) and not f.startswith('__')]
        _dict = {}
        for name in ls:
            _dict[name] = getattr(ColumnSearch, name)
        ColumnSearchEnum = IntEnum('ColumnSearchEnum', _dict)
    build_enum()
else:
    from ...lo.sdbc.column_search import ColumnSearch as ColumnSearch

    class ColumnSearchEnum(IntEnum):
        """
        Enum of Const Class ColumnSearch

        indicates in which way a column can be used in the WHERE search.
        """
        NONE = ColumnSearch.NONE
        """
        A possible value for column SEARCHABLE in the com.sun.star.sdbc.XResultSet object returned by the method com.sun.star.sdbc.XDatabaseMetaData.getTypeInfo().
        
        Indicates that WHERE search clauses are not supported for this type.
        """
        CHAR = ColumnSearch.CHAR
        """
        A possible value for column SEARCHABLE in the com.sun.star.sdbc.XResultSet object returned by the method com.sun.star.sdbc.XDatabaseMetaData.getTypeInfo().
        
        Indicates that the only WHERE search clause that can be based on this type is WHERE...LIKE.
        """
        BASIC = ColumnSearch.BASIC
        """
        A possible value for column SEARCHABLE in the com.sun.star.sdbc.XResultSet object returned by the method com.sun.star.sdbc\">XDatabaseMetaData.getTypeInfo().
        
        Indicates that one can base all WHERE search clauses except WHERE...LIKE on this data type.
        """
        FULL = ColumnSearch.FULL
        """
        A possible value for column SEARCHABLE in the com.sun.star.sdbc.XResultSet object returned by the method com.sun.star.sdbc\">XDatabaseMetaData.getTypeInfo().
        
        Indicates that all WHERE search clauses can be based on this type.
        """

__all__ = ['ColumnSearch', 'ColumnSearchEnum']
