# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.2
# Namespace: com.sun.star.sdbcx
from enum import IntEnum
from typing import TYPE_CHECKING
from ooo.oenv.env_const import UNO_ENVIRONMENT, UNO_RUNTIME
_DYNAMIC = False
if (not TYPE_CHECKING) and UNO_RUNTIME and UNO_ENVIRONMENT:
    _DYNAMIC = True

if not TYPE_CHECKING and _DYNAMIC:
    from com.sun.star.sdbcx import KeyType as KeyType
    if hasattr(KeyType, '_constants') and isinstance(KeyType._constants, dict):
        KeyType._constants['__ooo_ns__'] = 'com.sun.star.sdbcx'
        KeyType._constants['__ooo_full_ns__'] = 'com.sun.star.sdbcx.KeyType'
        KeyType._constants['__ooo_type_name__'] = 'const'
    def build_enum():
        global KeyTypeEnum
        ls = [f for f in dir(KeyType) if not callable(getattr(KeyType, f)) and not f.startswith('__')]
        _dict = {}
        for name in ls:
            _dict[name] = getattr(KeyType, name)
        KeyTypeEnum = IntEnum('KeyTypeEnum', _dict)
    build_enum()
else:
    from ...lo.sdbcx.key_type import KeyType as KeyType

    class KeyTypeEnum(IntEnum):
        """
        Enum of Const Class KeyType

        determines the type of a key.
        """
        PRIMARY = KeyType.PRIMARY
        """
        indicates that the key is the primary key of a table.
        """
        UNIQUE = KeyType.UNIQUE
        """
        indicates that the key is unique, NULL values are allowed.
        """
        FOREIGN = KeyType.FOREIGN
        """
        indicates that the key is a foreign key of a table.
        """

__all__ = ['KeyType', 'KeyTypeEnum']
