# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.2
# Namespace: com.sun.star.sheet
from enum import IntEnum
from typing import TYPE_CHECKING
from ooo.oenv.env_const import UNO_ENVIRONMENT, UNO_RUNTIME
_DYNAMIC = False
if (not TYPE_CHECKING) and UNO_RUNTIME and UNO_ENVIRONMENT:
    _DYNAMIC = True

if not TYPE_CHECKING and _DYNAMIC:
    from com.sun.star.sheet import FilterFieldType as FilterFieldType
    if hasattr(FilterFieldType, '_constants') and isinstance(FilterFieldType._constants, dict):
        FilterFieldType._constants['__ooo_ns__'] = 'com.sun.star.sheet'
        FilterFieldType._constants['__ooo_full_ns__'] = 'com.sun.star.sheet.FilterFieldType'
        FilterFieldType._constants['__ooo_type_name__'] = 'const'
    def build_enum():
        global FilterFieldTypeEnum
        ls = [f for f in dir(FilterFieldType) if not callable(getattr(FilterFieldType, f)) and not f.startswith('__')]
        _dict = {}
        for name in ls:
            _dict[name] = getattr(FilterFieldType, name)
        FilterFieldTypeEnum = IntEnum('FilterFieldTypeEnum', _dict)
    build_enum()
else:
    from ...lo.sheet.filter_field_type import FilterFieldType as FilterFieldType

    class FilterFieldTypeEnum(IntEnum):
        """
        Enum of Const Class FilterFieldType

        
        **since**
        
            LibreOffice 7.2
        """
        NUMERIC = FilterFieldType.NUMERIC
        """
        Filter by numeric value.
        """
        STRING = FilterFieldType.STRING
        """
        Filter by string value.
        """
        DATE = FilterFieldType.DATE
        """
        Filter by date.
        """
        TEXT_COLOR = FilterFieldType.TEXT_COLOR
        """
        Filter by text color.
        """
        BACKGROUND_COLOR = FilterFieldType.BACKGROUND_COLOR
        """
        Filter by background color.
        """

__all__ = ['FilterFieldType', 'FilterFieldTypeEnum']
