# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.2
# Namespace: com.sun.star.text
from enum import IntEnum
from typing import TYPE_CHECKING
from ooo.oenv.env_const import UNO_ENVIRONMENT, UNO_RUNTIME
_DYNAMIC = False
if (not TYPE_CHECKING) and UNO_RUNTIME and UNO_ENVIRONMENT:
    _DYNAMIC = True

if not TYPE_CHECKING and _DYNAMIC:
    from com.sun.star.text import HoriOrientation as HoriOrientation
    if hasattr(HoriOrientation, '_constants') and isinstance(HoriOrientation._constants, dict):
        HoriOrientation._constants['__ooo_ns__'] = 'com.sun.star.text'
        HoriOrientation._constants['__ooo_full_ns__'] = 'com.sun.star.text.HoriOrientation'
        HoriOrientation._constants['__ooo_type_name__'] = 'const'
    def build_enum():
        global HoriOrientationEnum
        ls = [f for f in dir(HoriOrientation) if not callable(getattr(HoriOrientation, f)) and not f.startswith('__')]
        _dict = {}
        for name in ls:
            _dict[name] = getattr(HoriOrientation, name)
        HoriOrientationEnum = IntEnum('HoriOrientationEnum', _dict)
    build_enum()
else:
    from ...lo.text.hori_orientation import HoriOrientation as HoriOrientation

    class HoriOrientationEnum(IntEnum):
        """
        Enum of Const Class HoriOrientation

        These enumeration values specify the horizontal orientation.
        """
        NONE = HoriOrientation.NONE
        """
        no hard alignment is applied.
        """
        RIGHT = HoriOrientation.RIGHT
        """
        The object is aligned at the right side.
        """
        CENTER = HoriOrientation.CENTER
        """
        The object is aligned at the middle.
        """
        LEFT = HoriOrientation.LEFT
        """
        The object is aligned at the left side.
        """
        INSIDE = HoriOrientation.INSIDE
        """
        TODO.
        """
        OUTSIDE = HoriOrientation.OUTSIDE
        """
        TODO.
        """
        FULL = HoriOrientation.FULL
        """
        The object uses the full space (for text tables only).
        """
        LEFT_AND_WIDTH = HoriOrientation.LEFT_AND_WIDTH
        """
        The left offset and the width of the object are defined.
        
        For text tables this means that the tables position is defined by the left margin and the width.
        """

__all__ = ['HoriOrientation', 'HoriOrientationEnum']
