# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.2
# Namespace: com.sun.star.text
from enum import IntEnum
from typing import TYPE_CHECKING
from ooo.oenv.env_const import UNO_ENVIRONMENT, UNO_RUNTIME
_DYNAMIC = False
if (not TYPE_CHECKING) and UNO_RUNTIME and UNO_ENVIRONMENT:
    _DYNAMIC = True

if not TYPE_CHECKING and _DYNAMIC:
    from com.sun.star.text import TimeDisplayFormat as TimeDisplayFormat
    if hasattr(TimeDisplayFormat, '_constants') and isinstance(TimeDisplayFormat._constants, dict):
        TimeDisplayFormat._constants['__ooo_ns__'] = 'com.sun.star.text'
        TimeDisplayFormat._constants['__ooo_full_ns__'] = 'com.sun.star.text.TimeDisplayFormat'
        TimeDisplayFormat._constants['__ooo_type_name__'] = 'const'
    def build_enum():
        global TimeDisplayFormatEnum
        ls = [f for f in dir(TimeDisplayFormat) if not callable(getattr(TimeDisplayFormat, f)) and not f.startswith('__')]
        _dict = {}
        for name in ls:
            _dict[name] = getattr(TimeDisplayFormat, name)
        TimeDisplayFormatEnum = IntEnum('TimeDisplayFormatEnum', _dict)
    build_enum()
else:
    from ...lo.text.time_display_format import TimeDisplayFormat as TimeDisplayFormat

    class TimeDisplayFormatEnum(IntEnum):
        """
        Enum of Const Class TimeDisplayFormat

        These constants define how a time field is formatted before it is displayed.
        
        The format may also depend on the system or document locale.
        
        .. deprecated::
        
            Class is deprecated.
        """
        STANDARD = TimeDisplayFormat.STANDARD
        """
        the system standard
        """
        HHMM = TimeDisplayFormat.HHMM
        """
        13:49
        """
        HHMMSS = TimeDisplayFormat.HHMMSS
        """
        13:49:20
        """
        HHMMSS00 = TimeDisplayFormat.HHMMSS00
        """
        13:49:20.30
        """
        HHMMAMPM = TimeDisplayFormat.HHMMAMPM
        """
        01:49
        """
        HHMMSSAMPM = TimeDisplayFormat.HHMMSSAMPM
        """
        01:49:20
        """
        HHMMSS00AMPM = TimeDisplayFormat.HHMMSS00AMPM
        """
        01:49:20.30
        """

__all__ = ['TimeDisplayFormat', 'TimeDisplayFormatEnum']
