# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.2
# Namespace: com.sun.star.ucb
from enum import IntEnum
from typing import TYPE_CHECKING
from ooo.oenv.env_const import UNO_ENVIRONMENT, UNO_RUNTIME
_DYNAMIC = False
if (not TYPE_CHECKING) and UNO_RUNTIME and UNO_ENVIRONMENT:
    _DYNAMIC = True

if not TYPE_CHECKING and _DYNAMIC:
    from com.sun.star.ucb import NameClash as NameClash
    if hasattr(NameClash, '_constants') and isinstance(NameClash._constants, dict):
        NameClash._constants['__ooo_ns__'] = 'com.sun.star.ucb'
        NameClash._constants['__ooo_full_ns__'] = 'com.sun.star.ucb.NameClash'
        NameClash._constants['__ooo_type_name__'] = 'const'
    def build_enum():
        global NameClashEnum
        ls = [f for f in dir(NameClash) if not callable(getattr(NameClash, f)) and not f.startswith('__')]
        _dict = {}
        for name in ls:
            _dict[name] = getattr(NameClash, name)
        NameClashEnum = IntEnum('NameClashEnum', _dict)
    build_enum()
else:
    from ...lo.ucb.name_clash import NameClash as NameClash

    class NameClashEnum(IntEnum):
        """
        Enum of Const Class NameClash

        These are the possible values for TransferInfo.NameClash.
        """
        ERROR = NameClash.ERROR
        """
        Means to set an error and cancel the operation.
        """
        OVERWRITE = NameClash.OVERWRITE
        """
        Means to overwrite the object in the target folder with the object to transfer.
        """
        RENAME = NameClash.RENAME
        """
        Means to rename the object to transfer to solve the clash.
        
        The implementation needs to supply and set a suitable new name.
        """
        KEEP = NameClash.KEEP
        """
        Deprecated.
        
        Do not use!
        """
        ASK = NameClash.ASK
        """
        Means to use a NameClashResolveRequest in order to solve the name clash.
        """

__all__ = ['NameClash', 'NameClashEnum']
