# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.2
# Namespace: com.sun.star.view
from enum import IntEnum
from typing import TYPE_CHECKING
from ooo.oenv.env_const import UNO_ENVIRONMENT, UNO_RUNTIME
_DYNAMIC = False
if (not TYPE_CHECKING) and UNO_RUNTIME and UNO_ENVIRONMENT:
    _DYNAMIC = True

if not TYPE_CHECKING and _DYNAMIC:
    from com.sun.star.view import DuplexMode as DuplexMode
    if hasattr(DuplexMode, '_constants') and isinstance(DuplexMode._constants, dict):
        DuplexMode._constants['__ooo_ns__'] = 'com.sun.star.view'
        DuplexMode._constants['__ooo_full_ns__'] = 'com.sun.star.view.DuplexMode'
        DuplexMode._constants['__ooo_type_name__'] = 'const'
    def build_enum():
        global DuplexModeEnum
        ls = [f for f in dir(DuplexMode) if not callable(getattr(DuplexMode, f)) and not f.startswith('__')]
        _dict = {}
        for name in ls:
            _dict[name] = getattr(DuplexMode, name)
        DuplexModeEnum = IntEnum('DuplexModeEnum', _dict)
    build_enum()
else:
    from ...lo.view.duplex_mode import DuplexMode as DuplexMode

    class DuplexModeEnum(IntEnum):
        """
        Enum of Const Class DuplexMode

        These constants specify available duplex modes.
        """
        UNKNOWN = DuplexMode.UNKNOWN
        """
        specifies an unknown duplex mode.
        """
        OFF = DuplexMode.OFF
        """
        specifies that there is no duplex mode enabled
        """
        LONGEDGE = DuplexMode.LONGEDGE
        """
        specifies a long edge duplex mode
        """
        SHORTEDGE = DuplexMode.SHORTEDGE
        """
        specifies a short edge duplex mode
        """

__all__ = ['DuplexMode', 'DuplexModeEnum']
