# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Exception Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.document
# Libre Office Version: 7.2
from ooo.oenv.env_const import UNO_NONE
import typing
from ..uno.exception import Exception as Exception_85530a09
from ..uno.x_interface import XInterface as XInterface_8f010a43

class ReadOnlyOpenRequest(Exception_85530a09):
    """
    Exception Class

    Is used for interaction handle to query user decision regarding whether to open a document read-only and whether to notify the user when the document becomes editable.
    
    **since**
    
        LibreOffice 7.2

    See Also:
        `API ReadOnlyOpenRequest <https://api.libreoffice.org/docs/idl/ref/exceptioncom_1_1sun_1_1star_1_1document_1_1ReadOnlyOpenRequest.html>`_
    """

    __ooo_ns__: str = 'com.sun.star.document'
    __ooo_full_ns__: str = 'com.sun.star.document.ReadOnlyOpenRequest'
    __ooo_type_name__: str = 'exception'
    __pyunointerface__: str = 'com.sun.star.document.ReadOnlyOpenRequest'
    __pyunostruct__: str = 'com.sun.star.document.ReadOnlyOpenRequest'

    typeName: str = 'com.sun.star.document.ReadOnlyOpenRequest'
    """Literal Constant ``com.sun.star.document.ReadOnlyOpenRequest``"""

    def __init__(self, Message: typing.Optional[str] = None, Context: typing.Optional[XInterface_8f010a43] = None, DocumentURL: typing.Optional[str] = None) -> None:
        """
        Constructor

        Arguments:
            Message (str, optional): Message value.
            Context (XInterface, optional): Context value.
            DocumentURL (str, optional): DocumentURL value.
        """
        kargs = {
            "Message": Message,
            "Context": Context,
            "DocumentURL": DocumentURL,
        }
        if kargs["DocumentURL"] is UNO_NONE:
            kargs["DocumentURL"] = None
        self._init(**kargs)

    def _init(self, **kwargs) -> None:
        self._document_url = kwargs["DocumentURL"]
        inst_keys = ('DocumentURL',)
        kargs = kwargs.copy()
        for key in inst_keys:
            del kargs[key]
        super()._init(**kargs)

    @property
    def DocumentURL(self) -> str:
        """
        The URL of the document that is open but was made editable.
        """
        return self._document_url
    
    @DocumentURL.setter
    def DocumentURL(self, value: str) -> None:
        self._document_url = value


__all__ = ['ReadOnlyOpenRequest']

